Bug 599283 - RFE: publican.defaults
RFE: publican.defaults
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
All Linux
low Severity low
: 3.0
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 820023
  Show dependency treegraph
 
Reported: 2010-06-02 23:16 EDT by Joshua Wulf
Modified: 2014-10-19 18:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2010-06-02 23:16:45 EDT
Could we have a per-user publican.defaults file that loads up default build outputs?

This would allow a user to configure their machine for their most common use case.
Comment 1 Jeff Fearn 2010-06-02 23:37:29 EDT
I have no words to describe how low this priority is.
Comment 2 Bug Zapper 2010-11-03 09:40:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeff Fearn 2012-03-12 01:59:39 EDT
Added handling for _HOME_/.publican.cfg to handle default values for command line arguments. Currently supports: firstname, surname, email, lang, formats, langs

_HOME_ should be cross platform as it's fetched via File::HomeDir.

Pushed To ssh://git.fedorahosted.org/git/publican.git
   d497197..39e7186  master -> master
Comment 4 Martin Prpic 2012-04-25 12:47:08 EDT
Verified for "publican lang_stat" and "publican add_revision" on Fedora release 16 (Verne).

book]$ rpm -q publican
publican-3.0-0.fc16.t166.noarch
book]$ publican lang_stats 
Use of uninitialized value $opts{"lang"} in string eq at /usr/bin/publican line 806, <FH> line 6.
'lang' is a mandatory argument at /usr/bin/publican line 812
book]$ echo "lang: en-US" >> ~/.publican.cfg 
book]$ publican lang_stats 
====================================================================
File Name                         Untranslated      Fuzzy Translated
====================================================================
====================================================================
Total for en-US                              0          0          0

... [output truncated]


AND


book]$ rpm -q publican
publican-3.0-0.fc16.t166.noarch
book]$ publican add_revision --member "test"
firstname is a required option for add_revision at /usr/bin/publican line 835
book]$ echo "firstname: Dude" >> ~/.publican.cfg 
book]$ echo "surname: McPants" >> ~/.publican.cfg 
book]$ echo "email: Dude.McPants@awesome.com" >> ~/.publican.cfg 
book]$ publican add_revision --member "test"
     Processing file en-US/Revision_History.xml -> en-US/Revision_History.xml
book]$ cat en-US/Revision_History.xml 
... [output truncated]
                      <revnumber>0.0-3</revnumber>
                      <date>Wed Apr 25 2012</date>
                      <author>
                           <firstname>Dude</firstname>
                           <surname>McPants</surname>
                           <email>Dude.McPants@awesome.com</email>
                      </author>
                         <revdescription>
                              <simplelist>
                                 <member>test</member>
                              </simplelist>
                         </revdescription>
... [output truncated]


Cool feature. Thanks for adding it!
Martin
Comment 5 Dan Macpherson 2012-06-16 00:35:30 EDT
Documentation needed for ~/.publican.cfg defaults.

Note You need to log in before you can comment on or make changes to this bug.